Summary: The GNU disk partition manipulation program.
Name: parted
Version: 1.4.24
Release: 12tr
License: GPL
Group: Trustix Official
Buildroot: %{_tmppath}/%{name}-%{version}-root
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: parted-1.4.24-python2.2.patch
BuildRequires: e2fsprogs-devel libtermcap-devel readline-devel
BuildRequires: python-devel

%description
The GNU Parted program allows you to create, destroy, resize, move,
and copy hard disk partitions. Parted can be used for creating space
for new operating systems, reorganizing disk usage, and copying data
to new hard disks.

%package devel
Summary: Files for developing apps which will manipulate disk partitions.
Group: Trustix Official
Requires: parted = %{version}

%description devel
The GNU Parted library is a set of routines for hard disk partition
manipulation. If you want to develop programs that manipulate disk
partitions and filesystems using the routines provided by the GNU
Parted library, you need to install this package.

%prep
%setup -q
%patch -p1 -b .python2.2

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
                --mandir=%{_mandir} \
	        --enable-shared \
                --enable-part-static \
                --enable-pc98=no \
		--enable-Werror=no

make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

make DESTDIR="$RPM_BUILD_ROOT" install

%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS BUGS ChangeLog README THANKS TODO doc/USER*
%{_mandir}/*/*
%{_sbindir}/*
%{_libdir}/lib*.so.*
%dir /usr/lib/python2.2/site-packages
/usr/lib/python2.2/site-packages/*.so

%files devel
%defattr (-, root, root)
%{_includedir}/parted
%{_libdir}/lib*.so

%changelog
* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 1.4.24-10tr
- Rebuilt.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.24-9tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.14-8em
- Rebuilt against glibc 2.3.2.

* Mon Feb 10 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.24-7em
- Fixed Group.

* Fri Aug 30 2002 Roland Kruse <rolandk at trustix dot com> 1.4.24-6rk
- configure with --enable-Werror=no

* Mon Aug 19 2002 Roland Kruse <rolandk at trustix dot com> 1.4.24-5rk
- Re-introduced parted python module:
  /usr/lib/python2.2/site-packages/partedmodule.so

* Mon Aug  5 2002 Christian H. Toldnes <christht at trustix dot com> 1.4.24-4ct
- Cleanup for TSL 2.0

* Fri Mar 22 2002 Matt Wilson <msw@redhat.com> 1.4.24-3
- fixed the probe-with-open behavior (again)

* Fri Feb 22 2002 Matt Wilson <msw@redhat.com> 1.4.24-1
- rebuild

* Tue Feb 12 2002 Matt Wilson <msw@redhat.com> 1.4.24-1
- 1.4.24

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan  7 2002 Jeremy Katz <katzj@redhat.com> 1.4.20-4
- build with final python 2.2

* Wed Dec 12 2001 Jeremy Katz <katzj@redhat.com> 1.4.20-3
- update from CVS and rebuild in new environment

* Thu Oct 25 2001 Jeremy Katz <katzj@redhat.com> 1.4.20-2
- build both python1.5 and python2 modules

* Fri Oct 19 2001 Matt Wilson <msw@redhat.com> 1.4.20-1	
- 1.4.20 final

* Thu Oct 11 2001 Matt Wilson <msw@redhat.com> 1.4.20-0.1pre3
- new dist from CVS with new autoconf and automake
- gpt is in 1.4.20, removed patch1 (gpt support)
- partstatic is in 1.4.20, removed patch2 (partstatic patch)

* Tue Aug 28 2001 Matt Wilson <msw@redhat.com> 1.4.16-8
- new dist from cvs with changes to the python binding: register
  DEVICE_I20 and DEVICE_ATARAID, check to make sure that a partition
  exists in the PedDisk when using it to find ped_disk_next_partition

* Tue Aug 21 2001 Matt Wilson <msw@redhat.com> 1.4.16-7
- really disable pc98 support (SF #51632)

* Fri Aug 17 2001 Matt Wilson <msw@redhat.com> 1.4.16-6
- added a patch (Patch1) to link the c library in dynamically, the
  rest of the libs statically for the parted binary (MF #49358)

* Tue Aug  7 2001 Matt Wilson <msw@redhat.com>
- made a new dist from CVS that includes binding for
  disk.get_partition_by_sector and accessing the name of a disk type

* Mon Aug  6 2001 Matt Wilson <msw@redhat.com> 1.4.16-4
- created a new dist from CVS that fixes ext3 detection when
  _probe_with_open is needed (#50292)

* Fri Jul 20 2001 Matt Wilson <msw@redhat.com>
- rewrite scsi id code (#49533)

* Fri Jul 20 2001 Matt Wilson <msw@redhat.com>
- added build requires (#49549)

* Tue Jul 17 2001 Matt Wilson <msw@redhat.com>
- 1.4.16
- regenerated gpt patch against 1.4.16, incorporated
  parted-1.4.15-pre1-gpt-printf.patch into the same patch, removed Patch1

* Tue Jul 10 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball that contains python wrappers to get disk types

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- run ldconfig on un/install

* Tue Jul 10 2001 Matt Wilson <msw@redhat.com>
- added a fix from clausen for border case when there is an extended
  on the last cyl

* Mon Jul  9 2001 Matt Wilson <msw@redhat.com>
- 1.4.15

* Thu Jul  5 2001 Matt Wilson <msw@redhat.com>
- added patch from Arjan to enable ataraid support

* Wed Jul  4 2001 Matt Wilson <msw@redhat.com>
- imported 1.4.15-pre2 into CVS and made a new dist tarball

* Tue Jun 26 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball that contains a check in python code to
  make sure that a partition exists within a disk before trying to
  remove it from the disk
- also changed _probe_with_open to make the first probed filesystem win

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- fix filesystem type reading on GPT disks

* Tue Jun 26 2001 Matt Wilson <msw@redhat.com>
- added another fix for ext2/ext3
- added Patch4 to move the crc32 function into its own namespace so
  we don't colide with zlib when both are in the same executable space

* Mon Jun 25 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball from CVS that includes
  ext3 probing

* Wed Jun  6 2001 Matt Wilson <msw@redhat.com>
- updated dist with binding for partition.geom.disk

* Tue Jun  5 2001 Matt Wilson <msw@redhat.com>
- make a new dist tarball that has new python binding changes

* Tue May 29 2001 Bill Nottingham <notting@redhat.com>
- add major numbers for cciss 
- add libunicode-devel buildprereq

* Sun May 27 2001 Matthew Wilson <msw@redhat.com>
- added type, heads, and sectors to the python binding for PedDevice

* Fri May  4 2001 Matt Wilson <msw@redhat.com>
- added parted-1.4.11-gpt-pmbralign.patch from Matt Domsch

* Wed May  2 2001 Matt Wilson <msw@redhat.com>
- include python binding
- enable shared library (for python binding, we want fpic code)
  with --enable-shared
- build parted binary static with --enable-all-static
- don't run libtoolize on this.

* Wed May 02 2001 Bill Nottingham <notting@redhat.com>
- update to 1.4.11
- add EFI GPT patch from Matt Domsch (<Matt_Domsch@dell.com>)
- don't run autoconf, it relies on a newer non-released version
  of autoconf...

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Wed Jan 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.4.7

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Fri Nov 03 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.12

* Wed Nov 01 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.11

* Tue Oct 17 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.10

* Sun Sep 10 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.9

* Tue Aug 29 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix bug when just hitting "return" with no user input

* Sun Aug 20 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- 1.2.8
- blksize patch not needed anymore
- move changelog to the end of the spec file

* Wed Aug 16 2000 Matt Wilson <msw@redhat.com>
- 1.2.7
- patched configure script to ignore the 2.4 blkpg.h header (fixes #15835).

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.6

* Sat Jul 22 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.5
- add more docu

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
